Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfTextPathScaleType

    java.lang.Object
      java.lang.Enum<OdfTextPathScaleType>
          org.odftoolkit.odfdom.dom.type.draw.OdfTextPathScaleType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextPathScaleType>

    public enum OdfTextPathScaleType

extends Enum<OdfTextPathScaleType>

DOM implementation of OpenDocument attribute draw:text-path-scale.

Enum Constant Summary
`PATH`
`SHAPE`

Method Summary
`static OdfTextPathScaleType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextPathScaleType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextPathScaleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextPathScaleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SHAPE

    public static final OdfTextPathScaleType SHAPE

### PATH

    public static final OdfTextPathScaleType PATH

Method Detail

### values

    public static OdfTextPathScaleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextPathScaleType c : OdfTextPathScaleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextPathScaleType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextPathScaleType>`
  Returns:
    return the name of OdfTextPathScaleType

### toString

    public static String toString(OdfTextPathScaleType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextPathScaleType, see draw:text-path-scale
  Returns:
    return the name of OdfTextPathScaleType

### enumValueOf

    public static OdfTextPathScaleType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextPathScaleType
  Returns:
    return the constant of OdfTextPathScaleType, see draw:text-path-scale

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.